Skip to content
Start here

List available regions

zero_trust.regions.list(RegionListParams**kwargs) -> SyncSinglePage[AccountRegion]
GET/accounts/{account_id}/zerotrust/regions

Lists the regions that the account can select for Cloudflare One. Returns an empty list if no regions are available to the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Cloudflare account ID

maxLength32
ReturnsExpand Collapse
class AccountRegion: …
region_key: str

The key of a Data Localization Suite region.

minLength1

List available regions

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.regions.list(
    account_id="699d98642c564d2e855e9661899b7252",
)
page = page.result[0]
print(page.region_key)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "result": [
    {
      "region_key": "eu"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "result": [
    {
      "region_key": "eu"
    }
  ],
  "success": true
}